StorageHub: provision the gcube-app.xml file

Jan 18, 2019 10:26 AM - Roberto Cirillo

Status: Closed Start date: Jan 18, 2019

Priority: Normal Due date:  

Assignee: Lucio Lelii % Done: 100%

Category: Automated provisioning Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube 4.13.1

  

Infrastructure: Pre-Production   

Description

In order to manage the proxy address of the storagehub webapp, it's needed to provision the gcube-app.xml file starting from a

template.

History

#1 - Jan 18, 2019 10:28 AM - Roberto Cirillo

- Status changed from New to In Progress

Please @lucio.lelii@isti.cnr.it could you provide an example of StorageHub gcube-app.xml file with the new fields?

#2 - Jan 18, 2019 10:28 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

#3 - Jan 18, 2019 10:36 AM - Lucio Lelii

Here is an example of the gcube-app.xml with the proxy tag:

<application mode='online'>

        <name>StorageHub</name>

        <group>DataAccess</group>

        <version>1.0.0-SNAPSHOT</version>

        <description>Storage Hub webapp</description>

        <proxy protocol="https">

                <hostname>workspace-repository.dev.d4science.org</hostname>

                <port>443</port>     

         </proxy> 

        <local-persistence location='target' />

</application>

#4 - Jan 18, 2019 11:57 AM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from Lucio Lelii to Roberto Cirillo

#5 - Jan 18, 2019 03:20 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Lucio Lelii

- % Done changed from 0 to 80

The storagehub service has been upgraded and the gcube-app.xml has been provisioned. Now the gcube-app.xml deployed in preproduction is this:

<application mode="online">

        <name>StorageHub</name>

        <group>DataAccess</group>

        <version>1.0.3</version>
        <description> Storage Hub webapp </description>

        <proxy protocol="http">

                <hostname>storagehub.pre.d4science.net</hostname>

                <port>80</port>     

         </proxy> 

        <persistence location="target"/>

</application>

 Please @lucio.lelii@isti.cnr.it could you check if it works as expected?

#6 - Jan 18, 2019 03:26 PM - Andrea Dell'Amico

One consideration: OK to live with whn-manager over http, but the storage hub service should go over https.

Also, can we make the <port/> field optional? default to 80 if protocol is http, 443 if protocol is https.

#7 - Jan 18, 2019 03:49 PM - Roberto Cirillo

The storagehub instance deployed in preproduction was going on http and port 80. In this case the proxy tag wasn't needed but I've added it just for

testing.

Of course the port field can be optional. In this way we could have one less variable to configure. I'm going to do the change.

#8 - Jan 18, 2019 06:05 PM - Roberto Cirillo

The change works properly: now the port field is optional.

#9 - Jan 28, 2019 11:03 AM - Roberto Cirillo

- Status changed from Feedback to Closed

- % Done changed from 80 to 100
